Description

Hello,

I have created multiple connections to my Oracle Spatial repository in QGis, using the Oracle Provider dialog. All of the connections are

using the same database but different users. For security reasons, I have chosen to not store the password in the connection parameters.

In that mode, it seems that once you have made a connection with a user, QGis cannot change it, even if you use a different connection

where the username is different.

Let's have an example:

1rst connection:

    -  Name of the connection: TEST_1

    -  Database: ORACLE_BASE

    -  Server: ORACLE_SRV

    -  Username: USER_1

    -  Save Username: Yes

    -  Save Password: No

2nd connection:

    -  Name of the connexion: TEST_2

    -  Database: ORACLE_BASE

    -  Server: ORACLE_SRV

    -  Username: USER_2

    -  Save Username: Yes

    -  Save Password: No

I first use the 1st connection (named TEST_1) to open a layer from Oracle server. If I try to use connection TEST_2, QGis doesn't ask for

the password and the list of tables is queried using username USER_1 instead of USER_2. It seems the bug is affecting only the

username as all of the other options (use metadata, existing geometries, use estimated metadata) are working.

I am not 100% sure that this bug is related to Oracle Provider but this is the first time I have seen such behaviour in QGis database

provider dialogs...

Associated revisions

Revision 3978bff4 - 2014-04-19 10:14 PM - Jürgen Fischer
oracle provider:

    -  retrieve comment of materialized views (implements #10063)

    -  use detected srid (fixes #10091)

    -  initialize mUseEstimatedMetadata (fixes #10092)

    -  also consider username in temporary saved credentials (fixes #10093)

History

#1 - 2014-04-18 10:08 AM - Jürgen Fischer

- Subject changed from Oracle connexion don't change username when using the same database and password is not saved to Oracle connection 

don't use saved username when accessing the same database w/o a saved password

#2 - 2014-04-18 10:11 AM - Jürgen Fischer

- Category set to Data Provider/Oracle

#3 - 2014-04-19 09:06 AM - Jürgen Fischer

- Subject changed from Oracle connection don't use saved username when accessing the same database w/o a saved password to Oracle connection 

doesn't use saved username when accessing the same database w/o a saved password

#4 - 2014-04-19 01:16 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"3978bff44709dd251f1739b441a5934f06653011".
